#!/usr/bin/perl

  ### Include the standard library and define local variables.
  require '../guardiandigital-lib.pl';
  &ReadParse();

  ### We must disable LIDS before we remove the INITCONFIG RPM.
  use Crypt::RIPEMD160;

    ### Turn off LIDS.
    my $lidspass  =  &get_lidspass();
    $out = `/sbin/lidsadm_gd -Q -- -LIDS $lidspass 2>&1`;


    ### Remove the INITCONFIG RPM and imagine this never happened.
    `/bin/rpm -e WebTool-INITCONFIG > /dev/null 2>&1`;
    sleep 3;


  ### Reboot the system.
  system("/sbin/telinit 6");

  ### Take them away to a "better place."
  &redirect("/session_login.cgi?logout=1");
