#!/usr/bin/perl

  ### Include the standard library and define local variables.
  require '../guardiandigital-lib.pl';


  ### If we're already in INITCONFIG, then go to step 3.
  if (-f '/var/state/webtool-INITCONFIG') {
    unlink '/var/state/webtool-INITCONFIG';
    &redirect("/INITCONFIG/step3.cgi");
  }
  else { system "touch /var/state/webtool-INITCONFIG"; }


  print <<EOF01;
Content-type: text/html

<HTML>
<HEAD>
  <TITLE>Welcome to the Linux Lockbox</TITLE>
  <STYLE>
    BODY { background-image: url(/images/splash.gif);
           background-repeat: no-repeat; }

    .ttitle { font-family: Arial, Helvetica, Sans-Serif; 
              font-size: 14pt; color: #ffffff; margin-left: 10px; }
    .thead  { font-family: Arial, Helvetica, Sans-Serif;
              font-size: 10pt; color: #ffffff; margin-left: 10px; }
    .nbody  { font-family: Arial, Helvetica, Sans-Serif;
              font-size: 10pt; margin-left: 10px; margin-right: 10px; }
  </STYLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<TABLE WIDTH="707" BORDER="0">
<TR>
  <TD WIDTH="25">&nbsp;</td>
  <TD WIDTH="647">
    <TABLE BORDER="0" WIDTH="100%">
    <TR>
      <TD ALIGN="CENTER" WIDTH="70%">                                                   <IMG SRC="/images/initspacer2.gif" BORDER=0>
      </TD>
    </TR>
    </TABLE>

    <!-- BEGIN VARIABLE DATA -->

<FORM ACTION="/INITCONFIG/step1.cgi" METHOD="POST">
<P><CENTER><TABLE BORDER=0 WIDTH="620" CELLPADDING=0 CELLSPACING=0>
<TR $tb>
  <TD COLSPAN=2><DIV CLASS="ttitle"><B>Initial Configuration</B></DIV></TD>
</TR>

<TR>
  <TD COLSPAN="2"><DIV CLASS=nbody>
    <B>Thank you for purchasing a Linux Lockbox!</B>

    <P>Before you can use your new product you must go through this initial
    configuration process.  When the process is complete you will be asked to
    reboot your machine so the new changes take effect.

  </TD>
</TR>

<TR> <TD COLSPAN=2>&nbsp;</TD> </TR>

<TR>
  <TD WIDTH=20>&nbsp;</TD>
  <TD>
    <TABLE BORDER=0 WIDTH=100% CELLPADDING=0 CELLSPACING=0>

    <TR $tb> <TD COLSPAN="2">
      <DIV CLASS="thead"><B>Initial Configuration Steps</B></DIV>
    </TD> </TR>

    <TR> <TD COLSPAN="2">&nbsp;</TD> </TR>

    <TR>
      <TD WIDTH="40%" VALIGN="TOP"><DIV CLASS="nbody"><B>
        1. Change root Password</B>
      </TD>
      <TD WIDTH="60%"><DIV CLASS=nbody>
        Change the master system password.
      </TD>
    </TR>

    <TR>
      <TD WIDTH="40%" VALIGN="TOP"><DIV CLASS="nbody"><B>
        2. Change GD WebTool Password</B>
      </TD>
      <TD WIDTH="60%"><DIV CLASS=nbody>
        Change the password to administrate with the GD WebTool.
      </TD>
    </TR>

    <TR>
      <TD WIDTH="40%" VALIGN="TOP"><DIV CLASS="nbody"><B>
        3. Create New User</B>
      </TD>
      <TD WIDTH="60%"><DIV CLASS=nbody>
        Create an auxillary user on the system.
      </TD>
    </TR>

    <TR>
      <TD WIDTH="40%" VALIGN="TOP"><DIV CLASS="nbody"><B>
        4. Network Configuration</B>
      </TD>
      <TD WIDTH="60%"><DIV CLASS=nbody>
        Prepare the machine to be used on a network.
      </TD>
    </TR>

    <TR>
      <TD WIDTH="40%" VALIGN="TOP"><DIV CLASS="nbody"><B>
        5. Define Trusted Hosts</B>
      </TD>
      <TD WIDTH="60%"><DIV CLASS=nbody>
        Give a list of IP addresses which can administrate the machine.
      </TD>
    </TR>

    <TR>
      <TD WIDTH="40%" VALIGN="TOP"><DIV CLASS="nbody"><B>
        6. Define Timezone</B>
      </TD>
      <TD WIDTH="60%"><DIV CLASS=nbody>
        Give a list of IP addresses which can administrate the machine.
      </TD>
    </TR>

    <TR><TD COLSPAN="2">&nbsp;</TD></TR>

    <TR>
      <TD ALIGN="RIGHT" COLSPAN="2"><DIV CLASS=nbody>
        <INPUT TYPE="SUBMIT" VALUE="Begin Configuration">
      </TD>
    </TR>
    </TABLE>
  </TD>
</TR>
</TABLE></CENTER></FORM><P>

    <!-- END VARIABLE DATA -->

  </TD>
</TR>
</TABLE>


</BODY>
</HTML>
EOF01
