#!/usr/bin/perl

  ### Include the standard library and define local variables.
  require '../guardiandigital-lib.pl';

  ### Print the header and a horizonal rule.
  &header("Setup Timezone", "");

  ($named)    = (`/sbin/chkconfig --list named` =~ m/3\:([a-z]+)\s/);
  ($postfix)  = (`/sbin/chkconfig --list postfix` =~ m/3\:([a-z]+)\s/);
  ($httpd)    = (`/sbin/chkconfig --list httpd` =~ m/3\:([a-z]+)\s/);
  ($imapd)    = (`/sbin/chkconfig --list stunnel-imap` =~ m/3\:([a-z]+)\s/);
  ($pop3d)    = (`/sbin/chkconfig --list stunnel-pop3` =~ m/3\:([a-z]+)\s/);
  ($userpass) = (`/sbin/chkconfig --list userpass` =~ m/3\:([a-z]+)\s/);

  if ($named eq "on")      { $named_stat   = "CHECKED"; }
  if ($postfix eq "on")    { $postfix_stat = "CHECKED"; }
  if ($httpd eq "on")      { $httpd_stat   = "CHECKED"; }
  if ($imapd eq "on")      { $imapd_stat   = "CHECKED"; }
  if ($pop3d eq "on")      { $pop3d_stat   = "CHECKED"; }
  if ($userpass eq "on")   { $userpass_stat   = "CHECKED"; }

print <<END;
<FORM ACTION="do_services.cgi" METHOD="POST">
<CENTER><TABLE BORDER=0 WIDTH="500" CELLPADDING=0 CELLSPACING=0>
<TR $tb>
  <TD COLSPAN=2><DIV CLASS="ttitle"><B>Initial Configuration</B></DIV></TD>
</TR>

<TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

<TR $cb>
  <TD WIDTH=20>&nbsp;</TD>
  <TD>
    <TABLE BORDER=0 WIDTH=100% CELLPADDING=0 CELLSPACING=0>

    <TR $tb>
      <TD ALIGN="LEFT"><DIV CLASS="thead"><B>Services Active at Boot</B></TD>
      <TD ALIGN="RIGHT"><DIV CLASS="thead"><B>Step 7 of 7</B></DIV></TD>
    </TR>

    <TR $cb>
      <TD COLSPAN="2"><DIV CLASS="nbody">In this section you will be asked to 
        choose what services you want active at boot.
      </TD>
    </TR>

    <TR $cb> <TD COLSPAN="2">&nbsp;</TD> </TR>

<TR $cb>
  <TD><DIV CLASS="nbody"><B>Service</B></DIV></TD>
  <TD><DIV CLASS="nbody"><B>Activate</B></DIV></TD>
</TR>

    <TR $cb> <TD COLSPAN="2"><DIV CLASS=nbody><HR NOSHADE WIDTH="100%" ALIGN="LEFT"></TD> </TR>

    <TR $cb>
      <TD><DIV CLASS="nbody"><B>Domain Name Service</B></DIV></TD>
      <TD><DIV CLASS="nbody">
        <INPUT TYPE="CHECKBOX" NAME="named" VALUE="1" $named_stat>
      </DIV></TD>
    </TR>

    <TR $cb>
      <TD><DIV CLASS="nbody"><B>Mail Server</B></DIV></TD>
      <TD><DIV CLASS="nbody">
        <INPUT TYPE="CHECKBOX" NAME="postfix" VALUE="1" $postfix_stat>
      </DIV></TD>
    </TR>

    <TR $cb>
      <TD><DIV CLASS="nbody"><B>Web Server</B></DIV></TD>
      <TD><DIV CLASS="nbody">
        <INPUT TYPE="CHECKBOX" NAME="httpd" VALUE="1" $httpd_stat>
      </DIV></TD>
    </TR>

    <TR $cb>
      <TD><DIV CLASS="nbody"><B>IMAP Server</B></DIV></TD>
      <TD><DIV CLASS="nbody">
        <INPUT TYPE="CHECKBOX" NAME="stunnel-imap" VALUE="1" $imapd_stat>
      </DIV></TD>
    </TR>

    <TR $cb>
      <TD><DIV CLASS="nbody"><B>POP3 Server</B></DIV></TD>
      <TD><DIV CLASS="nbody">
        <INPUT TYPE="CHECKBOX" NAME="stunnel-pop3" VALUE="1" $pop3d_stat>
      </DIV></TD>
    </TR>

    <TR $cb>
      <TD><DIV CLASS="nbody"><B>User Password Changer</B></DIV></TD>
      <TD><DIV CLASS="nbody">
        <INPUT TYPE="CHECKBOX" NAME="userpass" VALUE="1" $userpass_stat>
      </DIV></TD>
    </TR>

    <TR $cb> <TD COLSPAN="2">&nbsp;</TD> </TR>

    <TR $cb>
      <TD ALIGN="RIGHT" VALIGN="BOTTOM" COLSPAN=2><DIV CLASS=nbody>
        <INPUT TYPE="SUBMIT" VALUE="Save Settings">
      </TD>
    </TR>
    </TABLE>
  </TD>
</TR>
</TABLE></CENTER></FORM>
END

  ### Close up and print the footer.
  &ryanFooter();

