#!/usr/bin/perl

  ### Include the standard library and define local variables.
  require '../guardiandigital-lib.pl';
  &ReadParse();

  if (!$in{'fcn'}) {
    ### Get input variables.
    $root_pass1 = $in{'root_pass1'};
    $root_pass2 = $in{'root_pass2'};

    ### Make sure they were both input.
    if (!$root_pass1 || !$root_pass2) {
      &PrintError("Please enter a password");
      exit;
    }

    ### Make sure they match up.
    elsif ($root_pass1 ne $root_pass2) {
      &PrintError("The two passwords do not match.  Please reenter.");
      exit;
    }

    ### Generate md5 password.
    $pass = &encrypt_password("$root_pass1");

    ### Backup /etc/shadow and update the password.
    &update_passwd("root", $pass); 
  } 

  ### Whisk me away to a magical place...
  &redirect("step2.cgi");
  exit;
