#!/usr/bin/perl

  ### Include the standard library and define local variables.
  require '../guardiandigital-lib.pl';

  ### Print the header and a horizonal rule.
  &header("Trusted Hosts", "");

print <<END;
<FORM ACTION="do_allowHosts.cgi" METHOD="POST">
<CENTER><TABLE BORDER=0 WIDTH="500" CELLPADDING=0 CELLSPACING=0>
<TR $tb>
  <TD COLSPAN=2><DIV CLASS="ttitle"><B>Initial Configuration</B></DIV></TD>
</TR>

<TR $cb> <TD COLSPAN=2>&nbsp;</TD> </TR>

<TR $cb>
  <TD WIDTH=20>&nbsp;</TD>
  <TD>
    <TABLE BORDER=0 WIDTH=100% CELLPADDING=0 CELLSPACING=0>

    <TR $tb>
      <TD ALIGN="LEFT"><DIV CLASS="thead"><B>Define Trusted Hosts</B></TD>
      <TD ALIGN="RIGHT"><DIV CLASS="thead"><B>Step 5 of 7</B></DIV></TD>
    </TR>

    <TR $cb>
      <TD COLSPAN="2"><DIV CLASS="nbody">In this section you will define which 
        hosts will have access to the GD WebTool.  You can control access based
        upon:

        <UL>
          <LI><B>Hostnames</B> (for example, mymachine.guardiandigital.com)
          <LI><B>IP Addresses</B> (for example, 192.168.10.80)
          <LI><B>IP Networks</B> (for example, 192.168.10.0)
        </UL>

        <P>You should limit access to trusted addresses, otherwise, anyone who
        guesses your password will have complete control of your system. Enter
        one IP address or hostname on each line.
      </TD>
    </TR>

    <TR $cb><TD COLSPAN=2>&nbsp;</TD></TR>

    <TR $cb>
      <TD COLSPAN="2"><DIV CLASS=tbody>
        <TEXTAREA NAME=allow ROWS=6 COLS=30></TEXTAREA>
      </TD>
    </TR>

    <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

    <TR $cb>
      <TD ALIGN="RIGHT" VALIGN="BOTTOM" COLSPAN=2><DIV CLASS=nbody>
        <INPUT TYPE="SUBMIT" VALUE="Setup Trusted Hosts">
      </TD>
    </TR>
    </TABLE>
  </TD>
</TR>
</TABLE></CENTER></FORM>
END

  ### Close up and print the footer.
  &ryanFooter();
